<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ProductController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">qualitelogicieltp</a> &gt; <a href="index.source.html" class="el_package">fr.mds.qualitelogicieltp.controllers</a> &gt; <span class="el_source">ProductController.java</span></div><h1>ProductController.java</h1><pre class="source lang-java linenums">package fr.mds.qualitelogicieltp.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import fr.mds.qualitelogicieltp.entities.Product;
import fr.mds.qualitelogicieltp.repositories.ProductRepository;
import fr.mds.qualitelogicieltp.services.ProductService;

@Controller
@RequestMapping(value = &quot;/product&quot;)
public class ProductController {

    @Autowired
    private ProductService myService;

<span class="fc" id="L23">    public ProductController(ProductService productService) {</span>
<span class="fc" id="L24">        this.myService = productService;</span>
<span class="fc" id="L25">    }</span>
    
    @RequestMapping(value = { &quot;/index&quot;, &quot;/&quot; })
    public String index(Model myModel) {
<span class="nc" id="L29">    	myModel.addAttribute(&quot;page&quot;, &quot;Product index&quot;);</span>
<span class="nc" id="L30">    	myModel.addAttribute(&quot;items&quot;, myService.findAll());</span>
<span class="nc" id="L31">        return &quot;product/index&quot;;</span>
    }

    @GetMapping(value = {&quot;/create&quot;})
    public String createGet(Model myModel) {
<span class="nc" id="L36">    	myModel.addAttribute(&quot;page&quot;, &quot;Product create&quot;);</span>
<span class="nc" id="L37">        return &quot;product/create&quot;;</span>
    }

    @PostMapping(value = {&quot;/create&quot;})
    public String createPost(@ModelAttribute Product product) {
<span class="nc bnc" id="L42" title="All 2 branches missed.">        if (product != null) {</span>
<span class="nc" id="L43">            myService.save(product);</span>
        }
<span class="nc" id="L45">        return &quot;redirect:index&quot;;</span>
    }

    @PostMapping(value = {&quot;/delete&quot;})
    public String delete(Long id) {
<span class="nc" id="L50">    	Product product = myService.getProductById(id);</span>
<span class="nc" id="L51">        myService.delete(product);</span>
<span class="nc" id="L52">        return &quot;redirect:index&quot;;</span>
    }

    @GetMapping(value = {&quot;/show/{id}&quot;})
    public String details(Model myModel, @PathVariable(value = &quot;id&quot;) String id) {
<span class="nc" id="L57">    	myModel.addAttribute(&quot;product&quot;, myService.getProductById(Long.parseLong(id)));</span>
<span class="nc" id="L58">        return &quot;product/details&quot;;</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>